<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>HttpBase (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HttpBase (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":6,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":9,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HttpBase.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/nutch/protocol/http/api/BlockedException.html" title="class in org.apache.nutch.protocol.http.api"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpException.html" title="class in org.apache.nutch.protocol.http.api"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/protocol/http/api/HttpBase.html" target="_top">Frames</a></li>
<li><a href="HttpBase.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.protocol.http.api</div>
<h2 title="Class HttpBase" class="title">Class HttpBase</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.protocol.http.api.HttpBase</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, <a href="../../../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a>, <a href="../../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../org/apache/nutch/protocol/htmlunit/Http.html" title="class in org.apache.nutch.protocol.htmlunit">Http</a>, <a href="../../../../../../org/apache/nutch/protocol/selenium/Http.html" title="class in org.apache.nutch.protocol.selenium">Http</a>, <a href="../../../../../../org/apache/nutch/protocol/http/Http.html" title="class in org.apache.nutch.protocol.http">Http</a>, <a href="../../../../../../org/apache/nutch/protocol/httpclient/Http.html" title="class in org.apache.nutch.protocol.httpclient">Http</a>, <a href="../../../../../../org/apache/nutch/protocol/interactiveselenium/Http.html" title="class in org.apache.nutch.protocol.interactiveselenium">Http</a>, <a href="../../../../../../org/apache/nutch/protocol/okhttp/OkHttp.html" title="class in org.apache.nutch.protocol.okhttp">OkHttp</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">HttpBase</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#accept">accept</a></span></code>
<div class="block">The "Accept" request header value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#acceptCharset">acceptCharset</a></span></code>
<div class="block">The "Accept-Charset" request header value.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#acceptLanguage">acceptLanguage</a></span></code>
<div class="block">The "Accept-Language" request header value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#BUFFER_SIZE">BUFFER_SIZE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#COOKIE">COOKIE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#enableCookieHeader">enableCookieHeader</a></span></code>
<div class="block">Controls whether or not to set Cookie HTTP header based on CrawlDatum
 metadata</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#enableIfModifiedsinceHeader">enableIfModifiedsinceHeader</a></span></code>
<div class="block">Configuration directive for If-Modified-Since HTTP header</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#maxContent">maxContent</a></span></code>
<div class="block">The length limit for downloaded content, in bytes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#maxCrawlDelay">maxCrawlDelay</a></span></code>
<div class="block">Skip page if Crawl-Delay longer than this value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#maxDuration">maxDuration</a></span></code>
<div class="block">The time limit to download the entire content, in seconds.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#partialAsTruncated">partialAsTruncated</a></span></code>
<div class="block">Whether to save partial fetches as truncated content.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/HashMap.html?is-external=true" title="class or interface in java.util">HashMap</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#proxyException">proxyException</a></span></code>
<div class="block">The proxy exception list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#proxyHost">proxyHost</a></span></code>
<div class="block">The proxy hostname.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#proxyPort">proxyPort</a></span></code>
<div class="block">The proxy port.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/net/Proxy.Type.html?is-external=true" title="class or interface in java.net">Proxy.Type</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#proxyType">proxyType</a></span></code>
<div class="block">The proxy port.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#RESPONSE_TIME">RESPONSE_TIME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#responseTime">responseTime</a></span></code>
<div class="block">Record response time in CrawlDatum's meta data, see property
 http.store.responsetime.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#storeHttpHeaders">storeHttpHeaders</a></span></code>
<div class="block">Record the HTTP response header in the metadata, see property
 <code>store.http.headers</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#storeHttpRequest">storeHttpRequest</a></span></code>
<div class="block">Record the HTTP request in the metadata, see property
 <code>store.http.request</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#storeIPAddress">storeIPAddress</a></span></code>
<div class="block">Record the IP address of the responding server, see property
 <code>store.ip.address</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#timeout">timeout</a></span></code>
<div class="block">The network timeout in millisecond</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#tlsCheckCertificate">tlsCheckCertificate</a></span></code>
<div class="block">Whether to check TLS/SSL certificates</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#tlsPreferredCipherSuites">tlsPreferredCipherSuites</a></span></code>
<div class="block">Which TLS/SSL cipher suites to support</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#tlsPreferredProtocols">tlsPreferredProtocols</a></span></code>
<div class="block">Which TLS/SSL protocols to support</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useHttp11">useHttp11</a></span></code>
<div class="block">Do we use HTTP/1.1?</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useHttp2">useHttp2</a></span></code>
<div class="block">Whether to use HTTP/2</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useProxy">useProxy</a></span></code>
<div class="block">Indicates if a proxy is used</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#userAgent">userAgent</a></span></code>
<div class="block">The Nutch 'User-Agent' request header</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.protocol.Protocol">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.protocol.<a href="../../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></h3>
<code><a href="../../../../../../org/apache/nutch/protocol/Protocol.html#X_POINT_ID">X_POINT_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#HttpBase--">HttpBase</a></span>()</code>
<div class="block">Creates a new instance of HttpBase</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#HttpBase-org.slf4j.Logger-">HttpBase</a></span>(org.slf4j.Logger&nbsp;logger)</code>
<div class="block">Creates a new instance of HttpBase</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getAccept--">getAccept</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getAcceptCharset--">getAcceptCharset</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getAcceptLanguage--">getAcceptLanguage</a></span>()</code>
<div class="block">Value of "Accept-Language" request header sent by Nutch.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getConf--">getConf</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getCookie-java.net.URL-">getCookie</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">If per-host cookies are configured, this method will look it up for the
 given url.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getMaxContent--">getMaxContent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getMaxDuration--">getMaxDuration</a></span>()</code>
<div class="block">The time limit to download the entire content, in seconds.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                 <a href="../../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>
<div class="block">Returns the <a href="../../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> for a fetchlist entry.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getProxyHost--">getProxyHost</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getProxyPort--">getProxyPort</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected abstract <a href="../../../../../../org/apache/nutch/net/protocols/Response.html" title="interface in org.apache.nutch.net.protocols">Response</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getResponse-java.net.URL-org.apache.nutch.crawl.CrawlDatum-boolean-">getResponse</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url,
           <a href="../../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
           boolean&nbsp;followRedirects)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>crawlercommons.robots.BaseRobotRules</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getRobotRules-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-java.util.List-">getRobotRules</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
             <a href="../../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&gt;&nbsp;robotsTxtContent)</code>
<div class="block">Retrieve robot rules applicable for this URL.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getTimeout--">getTimeout</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getTlsPreferredCipherSuites--">getTlsPreferredCipherSuites</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getTlsPreferredProtocols--">getTlsPreferredProtocols</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getUseHttp11--">getUseHttp11</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#getUserAgent--">getUserAgent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isCookieEnabled--">isCookieEnabled</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isIfModifiedSinceEnabled--">isIfModifiedSinceEnabled</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isStoreHttpHeaders--">isStoreHttpHeaders</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isStoreHttpRequest--">isStoreHttpRequest</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isStoreIPAddress--">isStoreIPAddress</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isStorePartialAsTruncated--">isStorePartialAsTruncated</a></span>()</code>
<div class="block">Whether to save partial fetches as truncated content, cf.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#isTlsCheckCertificates--">isTlsCheckCertificates</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#logConf--">logConf</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>protected static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#main-org.apache.nutch.protocol.http.api.HttpBase-java.lang.String:A-">main</a></span>(<a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">HttpBase</a>&nbsp;http,
    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#processDeflateEncoded-byte:A-java.net.URL-">processDeflateEncoded</a></span>(byte[]&nbsp;compressed,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#processGzipEncoded-byte:A-java.net.URL-">processGzipEncoded</a></span>(byte[]&nbsp;compressed,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#setConf-org.apache.hadoop.conf.Configuration-">setConf</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useProxy-java.lang.String-">useProxy</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;host)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useProxy-java.net.URI-">useProxy</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;uri)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html#useProxy-java.net.URL-">useProxy</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="RESPONSE_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESPONSE_TIME</h4>
<pre>public static final&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a> RESPONSE_TIME</pre>
</li>
</ul>
<a name="COOKIE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COOKIE</h4>
<pre>public static final&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a> COOKIE</pre>
</li>
</ul>
<a name="BUFFER_SIZE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BUFFER_SIZE</h4>
<pre>public static final&nbsp;int BUFFER_SIZE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.apache.nutch.protocol.http.api.HttpBase.BUFFER_SIZE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="proxyHost">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>proxyHost</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> proxyHost</pre>
<div class="block">The proxy hostname.</div>
</li>
</ul>
<a name="proxyPort">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>proxyPort</h4>
<pre>protected&nbsp;int proxyPort</pre>
<div class="block">The proxy port.</div>
</li>
</ul>
<a name="proxyType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>proxyType</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/net/Proxy.Type.html?is-external=true" title="class or interface in java.net">Proxy.Type</a> proxyType</pre>
<div class="block">The proxy port.</div>
</li>
</ul>
<a name="proxyException">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>proxyException</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/HashMap.html?is-external=true" title="class or interface in java.util">HashMap</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; proxyException</pre>
<div class="block">The proxy exception list.</div>
</li>
</ul>
<a name="useProxy">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useProxy</h4>
<pre>protected&nbsp;boolean useProxy</pre>
<div class="block">Indicates if a proxy is used</div>
</li>
</ul>
<a name="timeout">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>timeout</h4>
<pre>protected&nbsp;int timeout</pre>
<div class="block">The network timeout in millisecond</div>
</li>
</ul>
<a name="maxContent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxContent</h4>
<pre>protected&nbsp;int maxContent</pre>
<div class="block">The length limit for downloaded content, in bytes.</div>
</li>
</ul>
<a name="maxDuration">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxDuration</h4>
<pre>protected&nbsp;int maxDuration</pre>
<div class="block">The time limit to download the entire content, in seconds.</div>
</li>
</ul>
<a name="partialAsTruncated">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>partialAsTruncated</h4>
<pre>protected&nbsp;boolean partialAsTruncated</pre>
<div class="block">Whether to save partial fetches as truncated content.</div>
</li>
</ul>
<a name="userAgent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>userAgent</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> userAgent</pre>
<div class="block">The Nutch 'User-Agent' request header</div>
</li>
</ul>
<a name="acceptLanguage">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acceptLanguage</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> acceptLanguage</pre>
<div class="block">The "Accept-Language" request header value.</div>
</li>
</ul>
<a name="acceptCharset">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acceptCharset</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> acceptCharset</pre>
<div class="block">The "Accept-Charset" request header value.</div>
</li>
</ul>
<a name="accept">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accept</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> accept</pre>
<div class="block">The "Accept" request header value.</div>
</li>
</ul>
<a name="useHttp11">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useHttp11</h4>
<pre>protected&nbsp;boolean useHttp11</pre>
<div class="block">Do we use HTTP/1.1?</div>
</li>
</ul>
<a name="useHttp2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useHttp2</h4>
<pre>protected&nbsp;boolean useHttp2</pre>
<div class="block">Whether to use HTTP/2</div>
</li>
</ul>
<a name="responseTime">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>responseTime</h4>
<pre>protected&nbsp;boolean responseTime</pre>
<div class="block">Record response time in CrawlDatum's meta data, see property
 http.store.responsetime.</div>
</li>
</ul>
<a name="storeIPAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>storeIPAddress</h4>
<pre>protected&nbsp;boolean storeIPAddress</pre>
<div class="block">Record the IP address of the responding server, see property
 <code>store.ip.address</code>.</div>
</li>
</ul>
<a name="storeHttpRequest">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>storeHttpRequest</h4>
<pre>protected&nbsp;boolean storeHttpRequest</pre>
<div class="block">Record the HTTP request in the metadata, see property
 <code>store.http.request</code>.</div>
</li>
</ul>
<a name="storeHttpHeaders">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>storeHttpHeaders</h4>
<pre>protected&nbsp;boolean storeHttpHeaders</pre>
<div class="block">Record the HTTP response header in the metadata, see property
 <code>store.http.headers</code>.</div>
</li>
</ul>
<a name="maxCrawlDelay">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxCrawlDelay</h4>
<pre>protected&nbsp;long maxCrawlDelay</pre>
<div class="block">Skip page if Crawl-Delay longer than this value.</div>
</li>
</ul>
<a name="tlsCheckCertificate">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tlsCheckCertificate</h4>
<pre>protected&nbsp;boolean tlsCheckCertificate</pre>
<div class="block">Whether to check TLS/SSL certificates</div>
</li>
</ul>
<a name="tlsPreferredProtocols">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tlsPreferredProtocols</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; tlsPreferredProtocols</pre>
<div class="block">Which TLS/SSL protocols to support</div>
</li>
</ul>
<a name="tlsPreferredCipherSuites">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tlsPreferredCipherSuites</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt; tlsPreferredCipherSuites</pre>
<div class="block">Which TLS/SSL cipher suites to support</div>
</li>
</ul>
<a name="enableIfModifiedsinceHeader">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enableIfModifiedsinceHeader</h4>
<pre>protected&nbsp;boolean enableIfModifiedsinceHeader</pre>
<div class="block">Configuration directive for If-Modified-Since HTTP header</div>
</li>
</ul>
<a name="enableCookieHeader">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>enableCookieHeader</h4>
<pre>protected&nbsp;boolean enableCookieHeader</pre>
<div class="block">Controls whether or not to set Cookie HTTP header based on CrawlDatum
 metadata</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="HttpBase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HttpBase</h4>
<pre>public&nbsp;HttpBase()</pre>
<div class="block">Creates a new instance of HttpBase</div>
</li>
</ul>
<a name="HttpBase-org.slf4j.Logger-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HttpBase</h4>
<pre>public&nbsp;HttpBase(org.slf4j.Logger&nbsp;logger)</pre>
<div class="block">Creates a new instance of HttpBase</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setConf-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConf</h4>
<pre>public&nbsp;void&nbsp;setConf(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#setConf-org.apache.hadoop.conf.Configuration-" title="class or interface in org.apache.hadoop.conf">setConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
</dl>
</li>
</ul>
<a name="getConf--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConf</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;getConf()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#getConf--" title="class or interface in org.apache.hadoop.conf">getConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
</dl>
</li>
</ul>
<a name="getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolOutput</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/nutch/protocol/ProtocolOutput.html" title="class in org.apache.nutch.protocol">ProtocolOutput</a>&nbsp;getProtocolOutput(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                        <a href="../../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/apache/nutch/protocol/Protocol.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">Protocol</a></code></span></div>
<div class="block">Returns the <a href="../../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> for a fetchlist entry.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/apache/nutch/protocol/Protocol.html#getProtocolOutput-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">getProtocolOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></code></dd>
</dl>
</li>
</ul>
<a name="getProxyHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProxyHost</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getProxyHost()</pre>
</li>
</ul>
<a name="getProxyPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProxyPort</h4>
<pre>public&nbsp;int&nbsp;getProxyPort()</pre>
</li>
</ul>
<a name="useProxy-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useProxy</h4>
<pre>public&nbsp;boolean&nbsp;useProxy(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</pre>
</li>
</ul>
<a name="useProxy-java.net.URI-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useProxy</h4>
<pre>public&nbsp;boolean&nbsp;useProxy(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URI.html?is-external=true" title="class or interface in java.net">URI</a>&nbsp;uri)</pre>
</li>
</ul>
<a name="useProxy-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useProxy</h4>
<pre>public&nbsp;boolean&nbsp;useProxy(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;host)</pre>
</li>
</ul>
<a name="getTimeout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTimeout</h4>
<pre>public&nbsp;int&nbsp;getTimeout()</pre>
</li>
</ul>
<a name="isIfModifiedSinceEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIfModifiedSinceEnabled</h4>
<pre>public&nbsp;boolean&nbsp;isIfModifiedSinceEnabled()</pre>
</li>
</ul>
<a name="isCookieEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCookieEnabled</h4>
<pre>public&nbsp;boolean&nbsp;isCookieEnabled()</pre>
</li>
</ul>
<a name="isStoreIPAddress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStoreIPAddress</h4>
<pre>public&nbsp;boolean&nbsp;isStoreIPAddress()</pre>
</li>
</ul>
<a name="isStoreHttpRequest--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStoreHttpRequest</h4>
<pre>public&nbsp;boolean&nbsp;isStoreHttpRequest()</pre>
</li>
</ul>
<a name="isStoreHttpHeaders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStoreHttpHeaders</h4>
<pre>public&nbsp;boolean&nbsp;isStoreHttpHeaders()</pre>
</li>
</ul>
<a name="getMaxContent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxContent</h4>
<pre>public&nbsp;int&nbsp;getMaxContent()</pre>
</li>
</ul>
<a name="getMaxDuration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxDuration</h4>
<pre>public&nbsp;int&nbsp;getMaxDuration()</pre>
<div class="block">The time limit to download the entire content, in seconds. See the property
 <code>http.time.limit</code>.</div>
</li>
</ul>
<a name="isStorePartialAsTruncated--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStorePartialAsTruncated</h4>
<pre>public&nbsp;boolean&nbsp;isStorePartialAsTruncated()</pre>
<div class="block">Whether to save partial fetches as truncated content, cf. the property
 <code>http.partial.truncated</code>.</div>
</li>
</ul>
<a name="getUserAgent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserAgent</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUserAgent()</pre>
</li>
</ul>
<a name="getCookie-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCookie</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCookie(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</pre>
<div class="block">If per-host cookies are configured, this method will look it up for the
 given url.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the url to look-up a cookie for</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cookie or null</dd>
</dl>
</li>
</ul>
<a name="getAcceptLanguage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAcceptLanguage</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAcceptLanguage()</pre>
<div class="block">Value of "Accept-Language" request header sent by Nutch.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The value of the header "Accept-Language" header.</dd>
</dl>
</li>
</ul>
<a name="getAcceptCharset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAcceptCharset</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAcceptCharset()</pre>
</li>
</ul>
<a name="getAccept--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAccept</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAccept()</pre>
</li>
</ul>
<a name="getUseHttp11--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUseHttp11</h4>
<pre>public&nbsp;boolean&nbsp;getUseHttp11()</pre>
</li>
</ul>
<a name="isTlsCheckCertificates--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTlsCheckCertificates</h4>
<pre>public&nbsp;boolean&nbsp;isTlsCheckCertificates()</pre>
</li>
</ul>
<a name="getTlsPreferredCipherSuites--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTlsPreferredCipherSuites</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getTlsPreferredCipherSuites()</pre>
</li>
</ul>
<a name="getTlsPreferredProtocols--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTlsPreferredProtocols</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getTlsPreferredProtocols()</pre>
</li>
</ul>
<a name="logConf--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>logConf</h4>
<pre>protected&nbsp;void&nbsp;logConf()</pre>
</li>
</ul>
<a name="processGzipEncoded-byte:A-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processGzipEncoded</h4>
<pre>public&nbsp;byte[]&nbsp;processGzipEncoded(byte[]&nbsp;compressed,
                                 <a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)
                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="processDeflateEncoded-byte:A-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processDeflateEncoded</h4>
<pre>public&nbsp;byte[]&nbsp;processDeflateEncoded(byte[]&nbsp;compressed,
                                    <a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="main-org.apache.nutch.protocol.http.api.HttpBase-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>protected static&nbsp;void&nbsp;main(<a href="../../../../../../org/apache/nutch/protocol/http/api/HttpBase.html" title="class in org.apache.nutch.protocol.http.api">HttpBase</a>&nbsp;http,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;args)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="getResponse-java.net.URL-org.apache.nutch.crawl.CrawlDatum-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResponse</h4>
<pre>protected abstract&nbsp;<a href="../../../../../../org/apache/nutch/net/protocols/Response.html" title="interface in org.apache.nutch.net.protocols">Response</a>&nbsp;getResponse(<a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url,
                                        <a href="../../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                                        boolean&nbsp;followRedirects)
                                 throws <a href="../../../../../../org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">ProtocolException</a>,
                                        <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../org/apache/nutch/protocol/ProtocolException.html" title="class in org.apache.nutch.protocol">ProtocolException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="getRobotRules-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRobotRules</h4>
<pre>public&nbsp;crawlercommons.robots.BaseRobotRules&nbsp;getRobotRules(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                                          <a href="../../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                                                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&gt;&nbsp;robotsTxtContent)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/apache/nutch/protocol/Protocol.html#getRobotRules-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-java.util.List-">Protocol</a></code></span></div>
<div class="block">Retrieve robot rules applicable for this URL.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/apache/nutch/protocol/Protocol.html#getRobotRules-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-java.util.List-">getRobotRules</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/apache/nutch/protocol/Protocol.html" title="interface in org.apache.nutch.protocol">Protocol</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - URL to check</dd>
<dd><code>datum</code> - page datum</dd>
<dd><code>robotsTxtContent</code> - container to store responses when fetching the robots.txt file for
          debugging or archival purposes. Instead of a robots.txt file, it
          may include redirects or an error page (404, etc.). Response
          <a href="../../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> is appended to the passed list. If null is passed
          nothing is stored.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>robot rules (specific for this URL or default), never null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HttpBase.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/nutch/protocol/http/api/BlockedException.html" title="class in org.apache.nutch.protocol.http.api"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/nutch/protocol/http/api/HttpException.html" title="class in org.apache.nutch.protocol.http.api"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/nutch/protocol/http/api/HttpBase.html" target="_top">Frames</a></li>
<li><a href="HttpBase.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
